/*
 * Class STRING_TO_NUMERIC_CONVERTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_452 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_452 [] = {0xFF01,1551,451,0xFFFF};
static const EIF_TYPE_INDEX egt_2_452 [] = {0xFF01,451,0xFFFF};
static const EIF_TYPE_INDEX egt_3_452 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_452 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_452 [] = {0xFF01,451,0xFFFF};
static const EIF_TYPE_INDEX egt_6_452 [] = {0xFF01,451,0xFFFF};
static const EIF_TYPE_INDEX egt_7_452 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_452 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_452 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_452 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_452 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_452 [] = {0xFF01,451,0xFFFF};
static const EIF_TYPE_INDEX egt_13_452 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_14_452 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_452[] = {
	{EIF_GENERIC(NULL), 7630, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_452), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_452), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_452), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_452), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_452), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_452), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_452), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_452), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_452), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_452), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_452), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_452), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0387 /*451*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_452), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 7590, 32},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 7591, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7593, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7594, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7595, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7596, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7597, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7600, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7607, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7612, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7619, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7620, 9},
	{EIF_GENERIC(egt_13_452), 7621, 0},
	{EIF_GENERIC(egt_14_452), 7622, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7623, 12},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7624, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7627, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7628, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7629, 20},
};
void Init452(void)
{
	IDSC(desc_452, 0, 451);
	IDSC(desc_452 + 1, 1, 451);
	IDSC(desc_452 + 32, 134, 451);
	IDSC(desc_452 + 55, 1173, 451);
}


#ifdef __cplusplus
}
#endif
